#!/bin/sh

#modify the filter frequencies here; they are in Hz
f1=5
f2=20
#run a loop for the various different event names
for event in `ls -1 200*HUDS*SAC | awk '{print substr($1,1,34)}' | sort -u`; do
#run the program sac to filter and then view the signal
sac << END
qdp off
r ${event}[ZNE].D.SAC
rmean
rtr
taper
bp co ${f1} ${f2} np 6 p 1
ppk
quit
END
#end the loop
done
